<!DOCTYPE html>
<html>

<head>
    <title>VUE</title>
</head>

<body>
    <div id="app">
        <button @click="sumar">Sumar 1</button>
        <button @click="restar">Restart 1</button>
        <h1>El contador esta en {{ contador }}</h1>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
    <script type="text/javascript">
        var app = new Vue({
      el: '#app',
      data: {
        contador: '0'
      },
      methods:{
        sumar: function (){
          this.contador++
        },
        restar: function (){
          this.contador--
        }
      }
})
</script>
</body>

</html>